activity: Search for tasks

API: sonarcloud.io:sonarqube
Endpoint: /api/ce/activity
Response format: application/json
Auth: unknown
Method: GET
Last Status: 400
Latency: 141ms

Description

Search for tasks. Either componentId or component can be provided, but not both. Requires the project administration permission if componentId or component is set.

Parameters (9)

component (string, query, optional)

Key of the component (project) to filter on

componentId (string, query, optional)

Id of the component (project) to filter on

maxExecutedAt (string, query, optional)

Maximum date of end of task processing (inclusive)

minSubmittedAt (string, query, optional)

Minimum date of task submission (inclusive)

onlyCurrents (string, query, optional, default: false)

Filter on the last tasks (only the most recent finished task by project)

Constraints: {'enum': ['true', 'false', 'yes', 'no']}

ps (string, query, optional, default: 100)

Page size. Must be greater than 0 and less or equal than 1000

q (string, query, optional)

Limit search to: - component names that contain the supplied string- component keys that are exactly the same as the supplied string- task ids that are exactly the same as the supplied string Must not be set together with componentId

status (string, query, optional, default: SUCCESS)

Comma separated list of task statuses

Constraints: {'enum': ['SUCCESS', 'FAILED', 'CANCELED', 'PENDING', 'IN_PROGRESS']}

type (string, query, optional)

Task type

Constraints: {'enum': ['REPORT']}

Examples (1)

Search for tasks openapi-spec
curl 'https://sonarcloud.io/api/ce/activity?component=projectKey&componentId=AU-TpxcA-iU5OvuD2FL0&maxExecutedAt=2017-10-19T13%3A00%3A00%2B0200&minSubmittedAt=2017-10-19T13%3A00%3A00%2B0200&ps=20&q=Apache&status=IN_PROGRESS%2CSUCCESS&type=REPORT'
import requests

resp = requests.get(
    "https://sonarcloud.io/api/ce/activity",
    params={
        'component': 'projectKey',
        'componentId': 'AU-TpxcA-iU5OvuD2FL0',
        'maxExecutedAt': '2017-10-19T13:00:00+0200',
        'minSubmittedAt': '2017-10-19T13:00:00+0200',
        'ps': '20',
        'q': 'Apache',
        'status': 'IN_PROGRESS,SUCCESS',
        'type': 'REPORT',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("sonarqube")
result = api.fetch("api/ce/activity", component="projectKey", componentId="AU-TpxcA-iU5OvuD2FL0", maxExecutedAt="2017-10-19T13:00:00+0200", minSubmittedAt="2017-10-19T13:00:00+0200", ps=20, q="Apache", status="IN_PROGRESS,SUCCESS", type="REPORT")

for item in result:
    print(item)
const resp = await fetch("https://sonarcloud.io/api/ce/activity?component=projectKey&componentId=AU-TpxcA-iU5OvuD2FL0&maxExecutedAt=2017-10-19T13%3A00%3A00%2B0200&minSubmittedAt=2017-10-19T13%3A00%3A00%2B0200&ps=20&q=Apache&status=IN_PROGRESS%2CSUCCESS&type=REPORT");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 04:10:20.624434 400 141ms
2026-04-15 02:49:40.012700 400 152ms
2026-04-14 00:47:31.704143 400 130ms
2026-04-12 16:04:32.564178 400 136ms
2026-04-10 04:31:15.441865 400 92ms
2026-04-09 01:15:24.422897 400 166ms